﻿.btn {
  border-radius: 4px;
  outline: none;
}

.btn-primary {
  background-color: #005151;
  color: #fff;
}
.btn-primary:hover {
  background-color: #003434;
  outline: none;
  font-weight: 500;
}
.btn-primary:active, .btn-primary:focus, .btn-primary:active:hover, .btn-primary:active:focus {
  background-color: #003434;
  font-weight: 500;
}

.btn-secondary {
  border: #005151 1px solid;
  background: #fff;
  color: #005151;
  font-weight: 500;
}
.btn-secondary:focus {
  outline: none;
}
.btn-secondary:hover, .btn-secondary:focus, .btn-secondary:active:focus {
  color: #669696;
  border: 1px solid #669696;
  border-image: initial;
  text-decoration: none;
}

a {
  cursor: pointer;
  color: #005151;
}
a:hover {
  color: #4d6363;
}

.btn {
  border-radius: 4px;
  outline: none;
}

.btn-primary {
  background-color: #005151;
  color: #fff;
}
.btn-primary:hover {
  background-color: #003434;
  outline: none;
  font-weight: 500;
}
.btn-primary:active, .btn-primary:focus, .btn-primary:active:hover, .btn-primary:active:focus {
  background-color: #003434;
  font-weight: 500;
}

.btn-secondary {
  border: #005151 1px solid;
  background: #fff;
  color: #005151;
  font-weight: 500;
}
.btn-secondary:focus {
  outline: none;
}
.btn-secondary:hover, .btn-secondary:focus, .btn-secondary:active:focus {
  color: #669696;
  border: 1px solid #669696;
  border-image: initial;
  text-decoration: none;
}

a {
  cursor: pointer;
  color: #005151;
}
a:hover {
  color: #4d6363;
}

/* Media Queries */
/* Flex mixins */
body {
  margin: 0;
  padding: 0;
  border: 0;
  font-family: Poppins, "Open Sans", Roboto, sans-serif;
  font-size: 1em;
  color: #212529;
  align-items: center;
  display: flex;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  background-color: #fff;
}

.login-flow-container {
  box-shadow: 1px 6px 13px 0px rgba(0, 0, 0, 0.12);
  display: flex;
  flex-direction: column;
  padding: 15px;
  width: 350px;
  align-items: center;
  max-height: 80vh;
  overflow: auto;
}
@media (min-width: 576px) {
  .login-flow-container {
    width: auto;
    max-width: 800px;
    padding: 20px 30px;
    max-height: 90vh;
    overflow-x: hidden;
  }
}

.login-container {
  width: 300px;
}
@media (min-width: 576px) {
  .login-container {
    width: 440px;
  }
}
@media (min-width: 768px) {
  .login-container {
    width: 460px;
  }
}

.ukg-logo {
  text-align: center;
  margin-bottom: 25px;
}
.ukg-logo img {
  width: 150px;
}
@media (min-width: 576px) {
  .ukg-logo img {
    width: 270px;
  }
}

.login-form-wrapper .form-group, .forgot-pw-wrapper .form-group, .change-pw-wrapper .form-group {
  margin: 15px 0;
  position: relative;
}
.login-form-wrapper .form-control, .forgot-pw-wrapper .form-control, .change-pw-wrapper .form-control {
  padding-left: 35px;
  margin-bottom: 2px;
}

.password-input {
  padding-right: 35px;
}

.login-form-wrapper .pass-login-form .btn-primary {
  border: none;
  width: 100%;
  outline: none;
}

.tfa-config-wrapper .pass-btn-panel {
  margin-top: 20px !important;
}

.pass-icon {
  height: 15px;
  left: 10px;
  position: absolute;
  top: 9px;
  width: 15px;
}

.pass-icon-right {
  right: 10px;
  width: 20px;
  height: 15px;
  position: absolute;
  top: 9px;
}

.user-icon {
  background: url(../Images/user-solid.svg) no-repeat;
}

.lock-icon {
  background: url(../Images/lock-solid.svg) no-repeat;
}

.email-icon {
  background: url(../Images/at-solid.svg) no-repeat;
}

.eye-icon {
  background: url(../Images/eye-solid.svg) no-repeat;
  width: 19px;
  top: 11px;
}

.eye-slash-icon {
  background: url(../Images/eye-slash-solid.svg) no-repeat;
}

.my-account-password-info-box {
  display: none;
  border: 1px solid;
  padding: 10px;
  font-size: 9.5px;
  font-weight: 500;
  border-color: #005151;
  background-color: #fafffe;
  color: #4d6363;
  border-radius: 4px;
  margin-bottom: 5px;
}

.pass-validation-text {
  color: #FF0000;
  font-size: 12px;
}

.pass-btn-panel {
  display: inline-flex;
  margin-top: 30px !important;
  width: 100%;
}

.margin-10 {
  margin: 10px 0px;
}

.btn-left {
  width: 50%;
  margin-right: 5px;
}

.btn-right {
  width: 50% !important;
  margin-top: 0 !important;
  display: inline-block;
  margin-left: 5px;
}

.pass-disclaimer {
  font-size: 9.5px;
  font-weight: 500;
  margin-top: 15px;
  text-align: justify;
  line-height: 1.4;
}

.pass-copyrights {
  bottom: 15px;
  font-size: 10px;
  position: fixed;
  text-align: center;
  color: #212529;
}
@media (min-width: 576px) {
  .pass-copyrights {
    font-size: 11px;
  }
}

.forgot-pw-link {
  font-size: 11px;
  margin-top: -10px;
  text-align: right;
}

.form-title {
  font-weight: 700;
  font-size: 16px;
}

.form-description {
  font-size: 11px;
  font-weight: normal;
  text-align: justify;
  line-height: 1.4;
  margin-top: 15px;
}

p.form-description {
  margin-bottom: 15px;
}

ol.form-description {
  list-style: decimal;
  margin-left: 10px;
  padding: 0;
}
ol.form-description li {
  margin-bottom: 10px;
  padding-top: 5px;
}

.code-container {
  display: flex;
  width: auto;
  align-items: center;
  justify-content: space-between;
  margin: 16px 0;
}
.code-container input {
  width: 14%;
  height: 48px;
  font-size: 1.5em;
  text-align: center;
}
@media (min-width: 576px) {
  .code-container input {
    width: 12%;
  }
}
.code-container.tfa-config input {
  width: 14%;
  height: 34px;
  padding: 4px;
}
@media (min-width: 576px) {
  .code-container.tfa-config input {
    height: 38px;
  }
}

.pass-timezone-block {
  text-align: right;
  font-size: 1em;
}

/*Tabs*/
.tab-wrapper {
  margin-top: 16px;
  position: relative;
  height: 200px;
}
.tab-wrapper .tabs {
  position: relative;
  font-size: 11px;
}
.tab-wrapper .tabs .tab {
  float: left;
  width: 50%;
}
.tab-wrapper .tabs .tab .tab-switch {
  display: none;
}
.tab-wrapper .tabs .tab .tab-switch:checked + .tab-label {
  background: #E4F2F2;
  color: #212529;
  border-bottom: 2px solid #005151;
  transition: all 0.35s;
  z-index: 1;
  font-weight: 700;
}
.tab-wrapper .tabs .tab .tab-switch:checked + .tab-label.lbl-qr {
  border-radius: 4px 0 0 0;
}
.tab-wrapper .tabs .tab .tab-switch:checked + .tab-label.lbl-key {
  border-radius: 0 4px 0 0;
}
.tab-wrapper .tabs .tab .tab-switch:checked + label + .tab-content {
  z-index: 2;
  opacity: 1;
  transition: all 0.35s;
}
.tab-wrapper .tabs .tab .tab-label {
  position: relative;
  display: block;
  line-height: 2;
  height: auto;
  font-weight: 400;
  padding: 4px 8px;
  text-align: center;
  background: #E4F2F2;
  border-bottom: 2px solid #E4F2F2;
  color: #212529;
  cursor: pointer;
  transition: all 0.25s;
}
.tab-wrapper .tabs .tab .tab-label.lbl-qr {
  border-radius: 4px 0 0 0;
}
.tab-wrapper .tabs .tab .tab-label.lbl-key {
  border-radius: 0 4px 0 0;
}
.tab-wrapper .tabs .tab .tab-content {
  position: absolute;
  z-index: 1;
  padding: 15px;
  line-height: 2;
  background: #fff;
  color: #2c3e50;
  opacity: 0;
  transition: all 0.35s;
  left: 0;
  width: 100%;
}
.tab-wrapper .tabs .tab .tab-content.qr-code img {
  display: block;
  margin: 0 auto;
  width: 150px;
}
.tab-wrapper .tabs .tab .tab-content.secret-key {
  padding: 10px;
}
.tab-wrapper .tabs .tab .tab-content.secret-key p {
  color: #212529;
  font-weight: 800;
  text-align: center;
  width: auto;
  font-size: 1.125em;
  word-break: break-word;
  word-wrap: break-word;
  margin: 20px 0;
}
.tab-wrapper .tabs::before, .tab-wrapper .tabs::after {
  content: "";
  display: table;
}
.tab-wrapper .tabs::after {
  clear: both;
}

::-ms-reveal {
  display: none;
}
